%define name emifreq-applet
%define version 0.18

Name:       %name
Version:    %{version}
Release:    %mkrel 10
Summary:    EmiFreq applet is just a little applet to show and control the CPU
License:    GPL
Group:      Monitoring
Url:        http://zzrough.free.fr
Source0:    %{name}-%{version}.tar.bz2
Source1:    emifreq-applet-initscript.bz2
Patch:      emifreq-applet-0.18-fix-format-errors.patch
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gnome-panel-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libGConf2-devel
BuildRequires: libglade2.0-devel

#Requires: libpanel-applet
#Requires: libGConf2
Requires: gnome-panel
Requires(post,preun): rpm-helper, chkconfig
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
EmiFreq applet is a little GNOME applet that shows/control
the CPU frequency and temperature thanks to the cpufreq sysfs 
kernel interface. The emifreqd daemon is also included to enable 
the applet to change the cpu speed through the CPUFreq extension 
of the sysfs.

%prep
%setup -q
%patch -p 1

%build
%configure2_5x
%make

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

%find_lang %name --with-gnome

mkdir -p %{buildroot}%{_initrddir}
bzcat %{SOURCE1} > %{buildroot}%{_initrddir}/emifreqd
chmod 0755 %{buildroot}%{_initrddir}/emifreqd

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*

%clean
rm -rf %buildroot

%post
%_post_service emifreqd

# handle init sequence change
if [ -f /etc/rc5.d/S85emifreqd ]; then
        /sbin/chkconfig --add emifreqd
fi

%preun
%_preun_service emifreqd

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_sbindir}/emifreqd
%{_libdir}/emifreq-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/emifreq-applet/
%{_datadir}/emifreq-applet/*
%{_datadir}/gnome-2.0/ui/GNOME_EmiFreqApplet.xml
%config(noreplace) %{_initrddir}/emifreqd



%changelog
* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 0.18-10mdv2011.0
+ Revision: 677665
- rebuild to add gconftool as req

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.18-9mdv2011.0
+ Revision: 618230
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.18-8mdv2010.0
+ Revision: 437460
- rebuild

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-7mdv2009.1
+ Revision: 348658
- fix build dependencies
- fix format errors

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.18-3mdv2008.1
+ Revision: 170811
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.18-2mdv2008.1
+ Revision: 131554
- fix prereq & file require
- kill re-definition of %%buildroot on Pixel's request
- import emifreq-applet


* Sat Apr 07 2006 Jerome Soyer <saispo@mandriva.org> 0.18-2mdk
- Rebuild
- rpmbuildupdate aware

* Sat Feb 19 2005 Jerome Soyer <saispo@mandrake.org> 0.18-1mdk
- New version

* Wed Oct 13 2004 Jerome Soyer <saispo@mandrake.org> 0.17-2mdk
- Include InitScript

* Tue Sep 21 2004 Jerome Soyer <saispo@mandrake.org> 0.17-1mdk
- New version

* Wed Sep 15 2004 Jerome Soyer <saispo@mandrake.org> 0.16-1mdk
- New version
- Added Requires

* Tue Sep 14 2004 Jerome Soyer <saispo@mandrake.org> 0.15-2mdk
- fix spec error

* Tue Sep 14 2004 Jerome Soyer <saispo@mandrake.org> 0.15-1mdk
- first build
